=== debian/changelog ===
emacspeak (46.0+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.
  * emacspeak.links: Drop DTK link, not shipped any more (Closes: #866157).

  [ Paul Gevers ]
  * Add Breaks for emacs20 - emacs23 (Closes: #867711)

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jul 2017 22:34:58 +0200

emacspeak (46.0+dfsg-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.

  [ Paul Gevers ]
  * Only run $(MAKE) as test in indep target (to prevent emacs in arch
    build)

 -- Paul Gevers <elbrus@debian.org>  Sat, 24 Jun 2017 06:37:49 +0200

emacspeak (46.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Refresh and drop patches
  * Update build logic as upstream doesn't have install target anymore
  * Convert d/copyright to machine readable format
  * Add fix-FTBFS-due-to-unknown-variable.patch because sh can't find
    the @make binary
  * Change (Build-)Depends to emacs25 | emacs(-nox) to 47.0~ as otherwise
    dom.el can't be found
  * Move upstream make target to dh_auto_test target as the compilation is
    really done during package install
  * Fix upstream changelog, we missed a couple of versions
  * Add use-tclsh-as-interpreter-for-ssh-espeak.patch as /usr/bin/tcl
    doesn't exist
  * Bump standards version to 4.0.0 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Fri, 23 Jun 2017 21:24:06 +0200
