## emacspeak 47.0%2Bdfsg

=== debian/changelog ===
emacspeak (47.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Fix typo (Closes: #875735).

  [ Paul Gevers ]
  * New upstream release
  * control: Bump Standards-Version to 4.1.2 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Sat, 02 Dec 2017 09:51:05 +0100
