=== lisp/Makefile ===
--- 
+++ 
@@ -42,11 +42,14 @@
 EMACS = emacs
 SRC=".."
 # How to run in batch mode
-BATCH = -batch -q -no-site-file    
+BATCH = -batch -q -no-site-file     \
+--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000)' 
 DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
 -l $(SRC)/lisp/emacspeak-loaddefs.el \
 -l $(SRC)/lisp/emacspeak-cus-load.el \
--l $(SRC)/lisp/g-client/g-load-path.el
+-l $(SRC)/lisp/g-client/g-load-path.el -l $(SRC)/lisp/g-client/g-cus-load.el  \
+-l $(SRC)/lisp/g-client/g-loaddefs.el
+
 
 COMPILE =  -f batch-byte-compile
 # How to compile
@@ -79,8 +82,8 @@
 emacspeak-keymap.elc\
 emacspeak-fix-interactive.elc\
 emacspeak-re-builder.elc \
+emacspeak-rg.elc \
 emacspeak-redefine.elc\
-emacspeak-replace.elc \
 emacspeak-table.elc \
 emacspeak-table-ui.elc \
 emacspeak-tabulate.elc \
@@ -114,7 +117,6 @@
 emacspeak-cmuscheme.elc \
 emacspeak-compile.elc \
 emacspeak-company.elc \
-congrats.elc \
 emacspeak-cperl.elc \
 emacspeak-custom.elc \
 emacspeak-dbus.elc \
@@ -123,7 +125,6 @@
 emacspeak-diff-mode.elc \
 emacspeak-dired.elc \
 emacspeak-dismal.elc \
-emacspeak-dmacro.elc \
 emacspeak-epub.elc \
 emacspeak-ecb.elc \
 emacspeak-ein.elc \
@@ -169,6 +170,7 @@
 emacspeak-helm.elc \
 emacspeak-hide.elc \
 emacspeak-hideshow.elc \
+emacspeak-hydra.elc \
 emacspeak-ibuffer.elc \
 emacspeak-ido.elc \
 emacspeak-ivy.elc \
@@ -177,7 +179,7 @@
 emacspeak-ispell.elc \
 emacspeak-jabber.elc \
 emacspeak-indium.elc \
-emacspeak-jde.elc \
+emacspeak-jdee.elc \
 emacspeak-js2.elc \
 emacspeak-jss.elc \
 emacspeak-kite.elc \
@@ -189,9 +191,11 @@
 emacspeak-make-mode.elc \
 emacspeak-markdown.elc \
 emacspeak-man.elc \
+emacspeak-maths.elc \
 emacspeak-message.elc \
 emacspeak-metapost.elc \
 emacspeak-midge.elc \
+emacspeak-mines.elc \
 emacspeak-mpg123.elc \
 emacspeak-muse.elc \
 emacspeak-mspools.elc \
@@ -199,6 +203,7 @@
 emacspeak-newsticker.elc \
 emacspeak-ocr.elc \
 emacspeak-org.elc \
+emacspeak-origami.elc \
 emacspeak-npr.elc \
 emacspeak-nxml.elc \
 emacspeak-outline.elc \
@@ -227,8 +232,10 @@
 emacspeak-ses.elc \
 emacspeak-setup.el \
 emacspeak-sgml-mode.elc \
+emacspeak-shx.elc \
 emacspeak-sh-script.elc \
 emacspeak-sigbegone.elc \
+emacspeak-smartparens.elc \
 emacspeak-smart-window.elc \
 emacspeak-solitaire.elc \
 emacspeak-speedbar.elc \
@@ -252,11 +259,12 @@
 emacspeak-texinfo.elc \
 emacspeak-todo-mode.elc \
 emacspeak-twittering.elc \
+emacspeak-typo.elc \
 emacspeak-url-template.elc \
+emacspeak-vdiff.elc \
 emacspeak-view.elc \
 emacspeak-vm.elc \
 emacspeak-w3.elc \
-emacspeak-w3m.elc \
 emacspeak-wdired.elc \
 emacspeak-we.elc \
 emacspeak-webspace.elc \
@@ -267,7 +275,6 @@
 emacspeak-winring.elc \
 emacspeak-woman.elc \
 emacspeak-wizards.elc  \
-emacspeak-wrolo.elc \
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
@@ -287,8 +294,11 @@
 all: $(OBJECTS)
 	cd g-client; $(MAKE)
 
-muggles: emacspeak-muggles.el
-	make emacspeak-muggles.elc
+muggles: emacspeak-muggles.elc emacspeak-muggles-autoloads.el
+
+
+emacspeak-muggles-autoloads.el: emacspeak-muggles.el 
+	$(EMACS) $(BATCH)  $(DEPS)    -l $< -f emacspeak-muggles-generate-autoloads
 maths: emacspeak-maths.el
 	make emacspeak-maths.elc
 force:
@@ -367,7 +377,6 @@
 emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
 emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
 emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
-congrats.elc: congrats.el dtk-speak.elc
 emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
 emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
 emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
@@ -378,12 +387,7 @@
 emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
 emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
 emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
-emacspeak-dmacro.elc: emacspeak-dmacro.el dtk-speak.elc voice-setup.elc
 emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
 emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
 emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
 emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
-emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc
-emacspeak-elscreen.elc: emacspeak-elscreen.el dtk-speak.elc voice-setup.elc
-emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
-emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc
