=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                      docbook-xsl,
                      emacs25-nox | emacs-nox (>=47.0~),
                      xsltproc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://emacspeak.sf.net
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
@@ -38,7 +38,7 @@
  loaded, users get spoken feedback for all actions. As Emacs can do
  everything, they get speech feedback for everything they do.
  .
- This package recommends the speech server for the espeak (software) 
+ This package recommends the speech server for the espeak (software)
  speech synthesizer, so it should work straight away. However it also
  contains the source for speech servers to support the DECtalk Express
  and DECtalk MultiVoice (hardware) speech synthesizers. For other
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: emacspeak
-Description: espeak syntesis server for emacspeak
+Description: espeak synthesis server for emacspeak
  Emacspeak is a speech output system that will allow someone who
  cannot see to work directly on a UNIX system.
  .
@@ -57,5 +57,5 @@
  loaded, users get spoken feedback for all actions. As Emacs can do
  everything, they get speech feedback for everything they do.
  .
- This package includes the speech server for the espeak (software) 
+ This package includes the speech server for the espeak (software)
  speech synthesizer.
