=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	find . -name \*.elc -delete
 	find . -name \*.pyc -delete
 	find . -name \*.pyo -delete
-	dh_clean 
+	dh_clean
 
 override_dh_auto_install-indep:
 	dh_auto_install
