## emacspeak 49.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 README: 
 	@rm -f README
 	@echo "Emacspeak  Revision $(GITVERSION)" > $(README)
-	@echo "Distribution created by `whoami` on `hostname`" >> $(README)
+	@echo "Distribution created by `whoami` at `date`" >> $(README)
 	@echo "Unpack the  distribution And type make config " >> $(README)
 	@echo "Then type make" >> $(README)
 EXCLUDES=-X .excludes --exclude-backups
@@ -89,12 +89,18 @@
 
 all: emacspeak
 
+help:
+	@make -s
 #clean, config and build (development)
 q:
 	make clean
 	make config 
 	make
-	cd lisp && make muggles 
+	cd lisp && make muggles
+	cd	 tvr && make
+
+qq:
+	make -s -j q 2>&1 |grep -v Loading 
 
 # }}}
 # {{{  user level target-- clean
@@ -128,14 +134,21 @@
 install:
 	@echo "To run  this Emacspeak build, add this  line to the top of your .emacs:"
 	@echo "(load-file \"`pwd`/lisp/emacspeak-setup.el\")"
+	@echo "If using espeak or outloud for TTS, "
+	@echo "type make <engine> to first build that speech-server."
 	@echo "Package maintainers: see   etc/install.org	 for instructions."
+
+# }}}
+# {{{Worktree:
+# Usage make wk TAG=tag
+wk:
+	git worktree add ../${TAG} ${TAG}
 
 # }}}
 # {{{ end of file
 
 #local variables:
 #mode: makefile
-#eval:  (fold-set-marks "# {{{" "# }}}")
 #fill-column: 90
 #folded-file: t
 #end:
