=== lisp/Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 SRC=".."
 # How to run in batch mode
 BATCH = -batch -q -no-site-file     \
---eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000)' 
+--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000 \
+load-source-file-function  nil)' 
 DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
 -l $(SRC)/lisp/emacspeak-loaddefs.el \
 -l $(SRC)/lisp/emacspeak-cus-load.el \
@@ -67,6 +68,7 @@
 
 SPEAK_OBJECTS =   \
 emacspeak-speak.elc  \
+emacspeak-prompts.elc \
 emacspeak-actions.elc \
 voice-setup.elc \
 emacspeak-personality.elc \
@@ -185,6 +187,7 @@
 emacspeak-kite.elc \
 emacspeak-kmacro.elc  \
 emacspeak-librivox.elc \
+emacspeak-lispy.elc \
 emacspeak-lua.elc \
 emacspeak-magit.elc \
 emacspeak-m-player.elc \
@@ -196,7 +199,6 @@
 emacspeak-metapost.elc \
 emacspeak-midge.elc \
 emacspeak-mines.elc \
-emacspeak-mpg123.elc \
 emacspeak-muse.elc \
 emacspeak-mspools.elc \
 emacspeak-net-utils.elc \
@@ -228,6 +230,7 @@
 emacspeak-rmail.elc \
 emacspeak-rpm.elc  \
 emacspeak-ruby.elc \
+emacspeak-sage.elc \
 emacspeak-slime.elc \
 emacspeak-ses.elc \
 emacspeak-setup.el \
@@ -263,8 +266,8 @@
 emacspeak-url-template.elc \
 emacspeak-vdiff.elc \
 emacspeak-view.elc \
+emacspeak-vlc.elc \
 emacspeak-vm.elc \
-emacspeak-w3.elc \
 emacspeak-wdired.elc \
 emacspeak-we.elc \
 emacspeak-webspace.elc \
@@ -278,6 +281,7 @@
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
+emacspeak-yaml.elc \
 emacspeak-yasnippet.elc 
 
 ADDON_OBJECTS = \
@@ -307,7 +311,11 @@
 lint:
 	echo "." |\
 emacs -batch -q \
+-f package-initialize \
 -l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
+-l ./g-client/g-loaddefs.el \
+-l ./g-client/g-load-path.el \
+-l g-utils.el \
 -f elint-directory 
 
 # }}}
@@ -388,6 +396,3 @@
 emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
 emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
 emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
-emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
-emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
-emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
