=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -105,7 +105,6 @@
 
 #local variables:
 #mode: makefile
-#eval:  (fold-set-marks "# {{{" "# }}}")
 #fill-column: 90
 #folded-file: t
 #end:
