=== debian/changelog ===
emacspeak (49.0+dfsg-3) unstable; urgency=medium

  * Add dont-break-on-vm-cruft.patch to avoid installation failure
    (Closes: #921883)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Feb 2019 20:51:25 +0100

emacspeak (49.0+dfsg-2) unstable; urgency=medium

  [ Paul Gevers ]
  * d/emacsen-remove: don't fail removal if files doesn't exist (Closes:
    #919001)
  * Rework emacsen-install more, drop difference between update and install
  * Fix backslash issue gone unnoticed in previous upload

  [ Sam Hartman ]
  * Fix eterm to speak several messages, Closes: 919427

 -- Paul Gevers <elbrus@debian.org>  Tue, 15 Jan 2019 21:52:21 +0100

emacspeak (49.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Raise emacs minimum version and versioned Breaks on emacs23/emacs24/emacs25
  * Don't install emacspeak-cus-load.el (Closes: #917229)
  * Rework emacsen-install a bit to avoid recompiling every time for emacs

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Jan 2019 12:54:20 +0100

emacspeak (47.0+dfsg-6) unstable; urgency=medium

  * Fix emacspeak.sh generation (Closes: Bug#914367)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Nov 2018 19:09:55 +0100

emacspeak (47.0+dfsg-5) unstable; urgency=medium

  [ Rémi Vanicat ]
  * Fix incompatibility with elpa-auto-complete (Closes: 913025)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Nov 2018 18:36:43 +0100

emacspeak (47.0+dfsg-4) unstable; urgency=medium

  * Fix arch-specific build (Closes: Bug#912311).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Oct 2018 10:23:07 +0100

emacspeak (47.0+dfsg-3) unstable; urgency=medium

  * rules: Rename etc/emacspeak.sh to etc/emacspeak.sh.in, remove
    lisp/emacspeak-loaddefs.el
  * emacsen-install: Sed etc/emacspeak.sh.in to etc/emacspeak.sh instead of
    in-place.
  * emacsen-remove: Remove files for emacs flavor too.
  * rules: Remove generated file, install etc/emacspeak.sh as
    etc/emacspeak.sh.in.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2018 23:22:51 +0100

emacspeak (47.0+dfsg-2~1) unstable; urgency=medium

  * emacsen-install: Fix spurious removal of source files
    (Closes: Bug#911901).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Oct 2018 02:19:34 +0200

emacspeak (47.0+dfsg-2~0) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * emacsen-install: Fix byte-compilation with flavor emacs with newer emacs
    version (Closes: Bug#911582).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 09:54:17 +0200
