=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
                tcl-dev,
 Build-Depends-Indep: csound,
                      docbook-xsl,
-                     emacs25-nox | emacs-nox (>=47.0~),
+                     emacs-nox (>= 1:26.1~),
                      xsltproc,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: http://emacspeak.sf.net
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
+Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git
 
 Package: emacspeak
 Architecture: all
 Depends: adduser,
          debconf,
-         emacs25 | emacs (>=47.0~),
+         emacs (>= 1:26.1~),
          make,
          perl,
          tcl,
@@ -28,7 +28,12 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: emacspeak-espeak-server, sox
-Breaks: emacs20, emacs21, emacs22, emacs23
+Breaks: emacs20,
+        emacs21,
+        emacs22,
+        emacs23 (<< 1:25.2+1-7~),
+        emacs24 (<< 1:25.2+1-7~),
+        emacs25 (<< 1:25.2+1-7~),
 Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
 Description: speech output interface to Emacs
  Emacspeak is a speech output system that will allow someone who
