=== debian/rules ===
--- 
+++ 
@@ -97,12 +97,17 @@
 	rm -r $(tmpdir)/sounds/3d/src
 	# Original convertion script, but useless now
 	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh
+	# Let it generated at configuration
+	rm $(tmpdir)/lisp/emacspeak-cus-load.el
+	rm $(tmpdir)/lisp/emacspeak-loaddefs.el
 
 override_dh_auto_install-arch:
 
-override_dh_install:
+override_dh_install-indep:
 	# Exclude the files that go into the documentation
 	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
+	# We will sed it at configuration
+	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in
 
 override_dh_fixperms-indep:
 # Only fix the following in the indep case
@@ -111,7 +116,7 @@
 		chmod 644 `find $(deblsp) -type f`; \
 		chmod 755 $(deblsp)/etc/*.pl				\
 			$(deblsp)/etc/*2text				\
-			$(deblsp)/etc/emacspeak.sh          \
+			$(deblsp)/etc/emacspeak.sh.in          \
 			$(deblsp)/servers/cloud*			\
 			$(deblsp)/servers/dtk-exp			\
 			$(deblsp)/servers/espeak			\
